> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Helm Chart Clusters Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/helm/charts/clusters/{repository_name}/{chart_name}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/helm/charts/clusters/{repository_name}/{chart_name}:
    get:
      tags:
        - Helm API
      summary: Get Helm Chart Clusters Endpoint
      operationId: >-
        get_helm_chart_clusters_endpoint_api_v1_org_helm_charts_clusters__repository_name___chart_name__get
      parameters:
        - in: path
          name: repository_name
          required: true
          schema:
            maxLength: 253
            title: Repository Name
            type: string
        - in: path
          name: chart_name
          required: true
          schema:
            maxLength: 253
            title: Chart Name
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - maxLength: 200
                type: string
              - type: 'null'
            title: Search
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHelmChartClustersResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetHelmChartClustersResult:
      properties:
        latest_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Version
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        result:
          items:
            $ref: '#/components/schemas/ChartClusterItem'
          title: Result
          type: array
        total:
          title: Total
          type: integer
      required:
        - result
        - total
        - page
        - page_size
      title: GetHelmChartClustersResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ChartClusterItem:
      properties:
        addon_name:
          title: Addon Name
          type: string
        cluster_id:
          format: uuid4
          title: Cluster Id
          type: string
        cluster_kind:
          $ref: '#/components/schemas/ClusterKind'
        cluster_name:
          title: Cluster Name
          type: string
        installed_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Installed Version
        stack_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Stack Name
      required:
        - cluster_id
        - cluster_name
        - cluster_kind
        - addon_name
      title: ChartClusterItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ClusterKind:
      enum:
        - imported
        - managed
        - ankra
        - sandbox
        - hetzner
        - ovh
        - upcloud
        - digitalocean
        - doks
        - uks
      title: ClusterKind
      type: string

````